summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorZac Medico <zmedico@gentoo.org>2020-08-27 14:51:11 -0700
committerZac Medico <zmedico@gentoo.org>2020-08-27 15:01:51 -0700
commit6baa401912ce4ec8fff9722123003b50c256cebf (patch)
tree6b890e07371ba308182c1abbf2f6a67621af8809 /app-admin
parentapp-admin/vault: Bump to version 1.4.5 (diff)
downloadgentoo-6baa401912ce4ec8fff9722123003b50c256cebf.tar.gz
gentoo-6baa401912ce4ec8fff9722123003b50c256cebf.tar.bz2
gentoo-6baa401912ce4ec8fff9722123003b50c256cebf.zip
app-admin/vault: Bump to version 1.5.2
Bug: https://bugs.gentoo.org/739264 Package-Manager: Portage-3.0.4, Repoman-3.0.1 Signed-off-by: Zac Medico <zmedico@gentoo.org>
Diffstat (limited to 'app-admin')
-rw-r--r--app-admin/vault/Manifest2
-rw-r--r--app-admin/vault/vault-1.5.2.ebuild78
2 files changed, 80 insertions, 0 deletions
diff --git a/app-admin/vault/Manifest b/app-admin/vault/Manifest
index 8fa9b90dab6..4e73dcd11b5 100644
--- a/app-admin/vault/Manifest
+++ b/app-admin/vault/Manifest
@@ -6,3 +6,5 @@ DIST vault-1.4.5-webui.tar.xz 1239532 BLAKE2B fe861cdf9ea833010f6b8b2ffa403fb809
DIST vault-1.4.5.tar.gz 33272136 BLAKE2B 3e0f3b11b975b1e563883d43f392dc998dc21ad057859c4aaad3dc67133e3a2dd9e3d1ab5b46f07d981738bdccaa5ced477ace6e057579815c13557cd74f30eb SHA512 5b709ef857d6c64a1332b1c01b13f525491e21e958a7e1441fa817067a8016e8d78d7f71043c2b24d75141becea18063d97cfb5dd7a337130d6d8ef58a76d062
DIST vault-1.5.0-webui.tar.xz 1237556 BLAKE2B 2647d9733a6a20b61f5884b15dd46d048705c3fe5dcfb9f4c8c2fa71303d17c9b69d2f08a42ec171e863affd45632c0407d4db4cb6bb229ba780860dfbf05449 SHA512 b5164f7525c94752f3f6a17ba6c738eb42e05f33682b790b49c322882964dfdb68abf28d0f30836759383ff6777cc5d5061699fc2a5d2a7a3706b5423ccca378
DIST vault-1.5.0.tar.gz 34940170 BLAKE2B cbc4b25bbb6881415c63be41970429e4413e3f70fc9aa3dfb3c54136719c7166896475d77a11d33d3e388344d863a19d63836f2ed3e20cc42db98ee2b57ba9a4 SHA512 245d5ea837f561d6c3832a0cb28d851dabe908fac2be7e53d3fd466689778d67b2cd5d9ea8c297f8daceb003c571a9768254a7e27d1fbeb1a376ac75e3c6edfb
+DIST vault-1.5.2-webui.tar.xz 1242056 BLAKE2B 7ec3bf3c30170bad5e09168bd75ebccf5664a6500bbfdcbf8fab8abb2bc78472a0614e602d4521ecf998547a9e5f86f27f265324b9220db84c724f7add52b64a SHA512 04fb481936bd0ce8e60865962a5b6726f2ab82bc56d25c888f7cf7d920174cbb7916255fd38a701709c1d56a00f8216a22f884c2456c26f510075fc0ad9d41f8
+DIST vault-1.5.2.tar.gz 35118624 BLAKE2B 96e9f3070ffea0d1c513004ad02558363a5c51da2e8211e664fadefc004cf65c8da6489c3a95573a9a1712ece9355966298efc122b350f9c6df79f1fd9cc2ec3 SHA512 be2c5eb530687fe199762195960fc497badbae933d57ac2861f88c05991e967e2512a5de90e3ce9ce14a094a25da18eb482da59360b6d6de594e91d75bff09c6
diff --git a/app-admin/vault/vault-1.5.2.ebuild b/app-admin/vault/vault-1.5.2.ebuild
new file mode 100644
index 00000000000..03db71b29ae
--- /dev/null
+++ b/app-admin/vault/vault-1.5.2.ebuild
@@ -0,0 +1,78 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit fcaps go-module systemd
+
+DESCRIPTION="A tool for managing secrets"
+HOMEPAGE="https://vaultproject.io/"
+VAULT_WEBUI_ARCHIVE="${P}-webui.tar.xz"
+SRC_URI="https://github.com/hashicorp/vault/archive/v${PV}.tar.gz -> ${P}.tar.gz
+ webui? (
+ https://dev.gentoo.org/~zmedico/dist/${VAULT_WEBUI_ARCHIVE}
+ )"
+
+LICENSE="MPL-2.0 Apache-2.0 BSD BSD-2 CC-BY-SA-4.0 ISC MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="+webui"
+
+BDEPEND="dev-go/gox
+ >=dev-lang/go-1.14.7"
+COMMON_DEPEND="acct-group/vault
+ acct-user/vault"
+ DEPEND="${COMMON_DEPEND}"
+ RDEPEND="${COMMON_DEPEND}"
+
+FILECAPS=(
+ -m 755 'cap_ipc_lock=+ep' usr/bin/${PN}
+)
+
+RESTRICT+=" test"
+
+src_prepare() {
+ default
+ # Avoid the need to have a git checkout
+ sed -e 's:^\(GIT_COMMIT=\).*:\1:' \
+ -e 's:^\(GIT_DIRTY=\).*:\1:' \
+ -e s:\'\${GIT_COMMIT}\${GIT_DIRTY}\':: \
+ -i scripts/build.sh || die
+ sed -e "/hooks/d" \
+ -e 's|^\([[:space:]]*\)goimports .*)|\1true|' \
+ -i Makefile || die
+ if [[ -f "${WORKDIR}/http/bindata_assetfs.go" ]]; then
+ mv "${WORKDIR}/http/bindata_assetfs.go" "${S}/http" ||
+ die "mv failed"
+ fi
+}
+
+src_compile() {
+ mkdir "${T}"/bin || die
+ BUILD_TAGS="$(usex webui ui '')" \
+ GOFLAGS="-mod=vendor" \
+ GOPATH="${T}" \
+ XC_ARCH=$(go env GOARCH) \
+ XC_OS=$(go env GOOS) \
+ XC_OSARCH=$(go env GOOS)/$(go env GOARCH) \
+ emake
+}
+
+src_install() {
+ dobin bin/${PN}
+ dodoc CHANGELOG.md CONTRIBUTING.md README.md
+ insinto /etc/${PN}.d
+ doins "${FILESDIR}/"*.json.example
+ insinto /etc/logrotate.d
+ newins "${FILESDIR}/${PN}.logrotated" "${PN}"
+ newinitd "${FILESDIR}/${PN}.initd" "${PN}"
+ newconfd "${FILESDIR}/${PN}.confd" "${PN}"
+ systemd_dounit "${FILESDIR}/${PN}.service"
+ keepdir /var/log/${PN}
+ fowners ${PN}:${PN} /var/log/${PN}
+}
+
+pkg_postinst() {
+ fcaps_pkg_postinst
+ go-module_pkg_postinst
+}